Subject: Re: bug#26518: 26.0.50; M-x bubbles crashes emacs

From: Stephen Berman <[email-masked]>
Date: Fri, 21 Apr 2017 15:38:48 +0200

On Fri, 21 Apr 2017 17:44:20 +0530 Vibhav Pant <[email-masked]> wrote:

> I recompile the lisp codebase using `cd lisp; make compile-always -jN`, while

That didn't work:

In toplevel form:
~/git/emacs-master/lisp/cedet/ede.el:46:1:Error: Symbol’s function definition is void: cl--copy-slot-descriptor-1
make[3]: *** [Makefile:304: cedet/ede.elc] Error 1
make[3]: Leaving directory '/mnt/data/steve/lib/emacs/lfs/lisp'
make[2]: *** [Makefile:327: compile-main] Error 2
make[2]: Leaving directory '/mnt/data/steve/lib/emacs/lfs/lisp'
make[1]: *** [Makefile:365: compile] Error 2
make[1]: Leaving directory '/mnt/data/steve/lib/emacs/lfs/lisp'
make: *** [Makefile:372: compile-always] Error 2

> `make bootstrap` should also do the job.

It did (I guess the above failure also indicated the need to bootstrap),
and I can now confirm that `M-x bubbles' no longer crashes emacs.
Thanks for the fix.

Steve Berman